Installation système sur Mac OS X

From Apertium
Jump to: navigation, search

In English

These instructions will help you install Apertium on a system running Mac OS/X.

Contents

[edit] Exigences

Il est nécessaire de faire une installation complète de XCode (http://developer.apple.com/tools/xcode/) et Macports (http://www.macports.org/install.php). Ensuite installez avec Macports les paquets suivants :

$ sudo port install autoconf automake expat flex \
gettext gperf help2man libiconv libtool \
libxml2 libxslt m4 ncurses ncursesw p5-locale-gettext \
pcre perl5.8  pkgconfig zlib gawk svn

(Certains d'entre eux sont nécessaires juste parce que Macports les veut)

Note: vous pouvez maintenant installer à la fois apertium et lttoolbox depuis Macports, bien que ça ne vous donnera pas la dernière version:

$ sudo port install lttoolbox apertium

[edit] Téléchargement

$ svn co https://svn.code.sf.net/p/apertium/svn/trunk/lttoolbox
$ svn co https://svn.code.sf.net/p/apertium/svn/trunk/apertium

Choisissez alors un paquet de langues et téléchargez le de la même manière. Par exemple :

$ svn co https://svn.code.sf.net/p/apertium/svn/trunk/apertium-es-ca

[edit] Compilation

Pour chaque paquet (par exemple depuis le répertoire lttoolbox, etc.), lttoolbox, apertium et pour le paquet de langue, faites:

$ PKG_CONFIG_PATH=/usr/local/lib/pkgconfig ./autogen.sh
$ make
$ sudo make install

[edit] Dépannage

[edit] syntax error near unexpected token

Problème

Le script configure ne peut pas trouver la macro PKG_CHECK_MODULES

checking for pcre_compile in -lpcrecpp... yes
./configure: line 19995: syntax error near unexpected token `APERTIUM,'
./configure: line 19995: `PKG_CHECK_MODULES(APERTIUM, dnl'
Solution

Lancez:

$ aclocal -I /usr/local/share/aclocal
$ automake -a
$ autoconf
$ autoheader
$ automake -a
$ ./configure 

[edit] = modes not generated

Problème

Tout marche sauf que les fichiers .mode ne sont pas générés.

Solution

Essayez d'installez gawk

[edit] No package 'lttoolbox-3.2' found

Problème
No package 'lttoolbox-3.2' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
Solution

faites

PKG_CONFIG_PATH=/usr/local/lib/pkgconfig
export PKG_CONFIG_PATH

avant autogen.sh

[edit] autogen/make "does not work"

Problème
des problèmes pendant autogen/make (quel était le problème ?)
Solution
$ aclocal -I /usr/local/share/aclocal
$ glibtoolize --force
$ aclocal -I /usr/local/share/aclocal
$ automake -a
$ autoconf
$ autoheader
$ automake -a
$ ./configure --prefix=/usr/local/
$ make
$ sudo make install

[edit] endian_double_util.cc:38: error: ‘fread_unlocked’ was not declared in this scope

Modifiez juste le code pour utiliser fread à la place de fread_unlocked (le dernier est juste plus rapide).

Ou faites ceci au moment de compiler :

CPPFLAGS=" -Dfread_unlocked=fread " ./autogen.sh && make && sudo make install

[edit] Voir aussi

Personal tools